aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorArtem Dyomin <artem.dyomin@qt.io>2023-12-27 18:46:37 +0000
committerQt Cherry-pick Bot <cherrypick_bot@qt-project.org>2023-12-30 09:57:08 +0000
commitfbae0d81d64841a603681f6b6cf733f8e0dc577f (patch)
tree56e1a9900ce91e66e9f0383853c7cf6089a67108
parenta82fde1e9fcbb37d8e9b134183ab0768da60b085 (diff)
Revert "Retain symlinks upon making universal macos binaries"
This reverts commit a3c489b272c63994d5b74a2b6caa24e0f5472ff0. Reason for revert: Mistakenly replaced 'set -e' => 'set -x' just hides the problem on macOS 11 and 12. The patch needs to be investigated again Change-Id: I238395fd2ae1fc362a0c9af02e2d48acce22e0dc Reviewed-by: Artem Dyomin <artem.dyomin@qt.io> (cherry picked from commit f87f27dc624830d938097bfbec794c54dc6b9e3f) Reviewed-by: Qt Cherry-pick Bot <cherrypick_bot@qt-project.org>
-rwxr-xr-xcoin/provisioning/common/macos/makeuniversal.sh12
1 files changed, 3 insertions, 9 deletions
diff --git a/coin/provisioning/common/macos/makeuniversal.sh b/coin/provisioning/common/macos/makeuniversal.sh
index 7becddaa..1baff747 100755
--- a/coin/provisioning/common/macos/makeuniversal.sh
+++ b/coin/provisioning/common/macos/makeuniversal.sh
@@ -4,22 +4,16 @@
# Copies or lipos files from the given DESTDIR dirs to the respective install dir
-set -x
+set -e
for dir in "$@"; do
echo "Processing files in $dir ..."
pushd "$dir" >/dev/null
- find . -type f -or -type l | while read -r f; do
+ find . -type f | while read -r f; do
dst="${f:1}"
dstdir="$(dirname "$dst")"
mkdir -p "$dstdir"
-
- if [[ -L "$f" ]]; then
- if [[ ! -L "$dst" ]]; then
- echo "Copying symlink $dir/$f to $dst"
- cp -P -n "$f" "$dst"
- fi
- elif [[ ! -f "$dst" ]]; then
+ if [[ ! -f "$dst" ]]; then
echo "Copying $dir/$f to $dst"
cp -c "$f" "$dst"
elif lipo -info "$f" >/dev/null 2>&1; then